<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qt-quick-module.qdoc -->
  <title>Qt.quick QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Qt.quick QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Qt.quick-brief -->
<p>Provides Qt Quick 2 support. <a href="#details">More...</a></p>
<!-- @@@Qt.quick -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-qt-quick-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-quick.html#compilerAvailable-prop">compilerAvailable</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-quick.html#qmlDebugging-prop">qmlDebugging</a></b></b> : bool</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-quick.html#qmlImportsPath-prop">qmlImportsPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-quick.html#qmlPath-prop">qmlPath</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-quick.html#useCompiler-prop">useCompiler</a></b></b> : bool</li>
</ul>
<!-- $$$Qt.quick-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The Qt.quick module provides support for Qt Quick 2.</p>
<a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<a name="filetags-quick"></a><div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;qt.quick.qrc&quot;</code></td><td ><code>*.qrc</code></td><td >1.10</td><td >Qt resource files with this file tag will be picked up by the Qt Quick compiler rule, and all QML files in the resource will be compiled.<p>This file tag will only be added automatically if the Qt Quick compiler is available.</p>
</td></tr>
</table></div>
<p><b>See also </b><a href="qml-qbsmodules-qt-qml.html">Qt.qml</a> and <a href="qml-qbsmodules-qt-declarative.html">Qt.declarative</a>.</p>
<!-- @@@Qt.quick -->
<h2>Property Documentation</h2>
<!-- $$$compilerAvailable -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="compilerAvailable-prop">
<td class="tblQmlPropNode"><p>
<span class="name">compilerAvailable</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether the Qt installation contains the Qt Quick compiler.</p>
<p>Default: auto-detected</p>
<p>This property was introduced in Qt 1.10.</p>
</div></div><!-- @@@compilerAvailable -->
<br/>
<!-- $$$qmlDebugging -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qmlDebugging-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qmlDebugging</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether QML debugging support should be compiled into your binaries.</p>
<p>Default: <code>false</code></p>
</div></div><!-- @@@qmlDebugging -->
<br/>
<!-- $$$qmlImportsPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qmlImportsPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qmlImportsPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The absolute path to the directory where Qt's QML imports are installed.</p>
<p>Default: Determined by <a href="cli-setup-qt.html">setup-qt</a>.</p>
</div></div><!-- @@@qmlImportsPath -->
<br/>
<!-- $$$qmlPath -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qmlPath-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qmlPath</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The absolute path to the directory where Qt's QML files are installed.</p>
<p>This property is left undefined for Qt 4.</p>
<p>Default: Determined by <a href="cli-setup-qt.html">setup-qt</a>.</p>
</div></div><!-- @@@qmlPath -->
<br/>
<!-- $$$useCompiler -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="useCompiler-prop">
<td class="tblQmlPropNode"><p>
<span class="name">useCompiler</span> : <span class="type">bool</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>Whether to make use of the Qt Quick compiler.</p>
<p>Default: <a href="qml-qbsmodules-qt-quick.html#compilerAvailable-prop">compilerAvailable</a></p>
<p>This property was introduced in Qt 1.11.</p>
</div></div><!-- @@@useCompiler -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
